{
  "description": "PodDisruptionBudgetStatus represents information about the status of a PodDisruptionBudget. Status may trail the actual state of a system.",
  "properties": {
    "conditions": {
      "description": "Conditions contain conditions for PDB. The disruption controller sets the DisruptionAllowed condition. The following are known values for the reason field (additional reasons could be added in the future): - SyncFailed: The controller encountered an error and wasn't able to compute\n              the number of allowed disruptions. Therefore no disruptions are\n              allowed and the status of the condition will be False.\n- InsufficientPods: The number of pods are either at or below the number\n                    required by the PodDisruptionBudget. No disruptions are\n                    allowed and the status of the condition will be False.\n- SufficientPods: There are more pods than required by the PodDisruptionBudget.\n                  The condition will be True, and the number of allowed\n                  disruptions are provided by the disruptionsAllowed property.",
      "items": {
        "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.Condition"
      },
      "type": [
        "array",
        "null"
      ],
      "x-kubernetes-list-map-keys": [
        "type"
      ],
      "x-kubernetes-list-type": "map",
      "x-kubernetes-patch-merge-key": "type",
      "x-kubernetes-patch-strategy": "merge"
    },
    "currentHealthy": {
      "description": "current number of healthy pods",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "desiredHealthy": {
      "description": "minimum desired number of healthy pods",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "disruptedPods": {
      "additionalProperties": {
        "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.Time"
      },
      "description": "DisruptedPods contains information about pods whose eviction was processed by the API server eviction subresource handler but has not yet been observed by the PodDisruptionBudget controller. A pod will be in this map from the time when the API server processed the eviction request to the time when the pod is seen by PDB controller as having been marked for deletion (or after a timeout). The key in the map is the name of the pod and the value is the time when the API server processed the eviction request. If the deletion didn't occur and a pod is still there it will be removed from the list automatically by PodDisruptionBudget controller after some time. If everything goes smooth this map should be empty for the most of the time. Large number of entries in the map may indicate problems with pod deletions.",
      "type": [
        "object",
        "null"
      ]
    },
    "disruptionsAllowed": {
      "description": "Number of pod disruptions that are currently allowed.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "expectedPods": {
      "description": "total number of pods counted by this disruption budget",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "observedGeneration": {
      "description": "Most recent generation observed when updating this PDB status. DisruptionsAllowed and other status information is valid only if observedGeneration equals to PDB's object generation.",
      "format": "int64",
      "type": [
        "integer",
        "null"
      ]
    }
  },
  "required": [
    "disruptionsAllowed",
    "currentHealthy",
    "desiredHealthy",
    "expectedPods"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/poddisruptionbudgetstatus/policy/v1"
}